Subject: Diff-Serv over MPLS

From: N S S Kishore Kankipati <[email-masked]>
Date: Thu, 5 Apr 2001 06:39:28 -0700 (PDT)

hi all	
   Could any of you please explain about the following
sentence in the draft-ietf-mpls-diff-ext-0.8.txt.

section 1.2-- Exp-Inferred-PSC LSPS (E-LSP)

"A single LSP can be used to support up to eight BAs
of
a given FEC, regardless of how many OAs these BAs
span."

A small doubt
  Suppose PHBs related to a PSC have been assigned to
different E-LSPs (say AF11 to one LSP and AF12 to
another LSP)and first few (say 1-10)Packets belonging
to a microflow have been assigned to AF11 and later
packets (say 10-15) to AF12. 
Is it not possible for the packets in AF12 LSP to get
transferred before the packets in AF11 LSP? If that is
the case the ordering constraint is violated i.e
packets are reordered. (I think this may happen in 
the following case- if the LSPs are on different 
interfaces of a router and  there may be some packets
which are required to be served in the AF11 while the
packets in AF12 may get immediately served as there
are
no packets before these which require service).
 
thanks
kk

__________________________________________________
Do You Yahoo!?
Get email at your own domain with Yahoo! Mail. 
http://personal.mail.yahoo.com/

---

From: Nabil Seddigh <[email-masked]>
Date: Thu, 05 Apr 2001 11:16:51 -0400

> transferred before the packets in AF11 LSP? 

The above is not possible if you want to maintain conformance
with RFC 2597. From section 2 of that document:

"A DS node MUST NOT reorder AF packets of the same microflow when they
 belong to the same AF class regardless of their drop precedence."
   
The means used to achieve the above are vendor-specific. 

One simple way is to ensure AF11 and AF12 packets are 
directed to the same physical queue. Of course, you
also ensure that a micro-flow's packets are only 
marked for treatment with PHBs from a single AF class.

---
Best,
Nabil Seddigh
[email-masked]